    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ---------------
    028 * NumberTick.java
    029 * ---------------
    030 * (C) Copyright 2003-2008, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 07-Nov-2003 : Version 1 (DG);
    038 * 02-Aug-2007 : Added new constructor with tick type (DG);
    039 *
    040 */
    041
    042package org.jfree.chart.axis;
    043
    044import org.jfree.ui.TextAnchor;
    045
    046/**
    047 * A numerical tick.
    048 */
    049public class NumberTick extends ValueTick {
    050
    051    /** The number. */
    052    private Number number;
    053
    054    /**
    055     * Creates a new tick.
    056     *
    057     * @param number  the number (<code>null</code> not permitted).
    058     * @param label  the label.
    059     * @param textAnchor  the part of the label that is aligned with the anchor
    060     *                    point.
    061     * @param rotationAnchor  defines the rotation point relative to the text.
    062     * @param angle  the rotation angle (in radians).
    063     */
    064    public NumberTick(Number number, String label,
    065                      TextAnchor textAnchor,
    066                      TextAnchor rotationAnchor, double angle) {
    067
    068        super(number.doubleValue(), label, textAnchor, rotationAnchor, angle);
    069        this.number = number;
    070
    071    }
    072
    073    /**
    074     * Creates a new tick.
    075     *
    076     * @param tickType  the tick type.
    077     * @param value  the value.
    078     * @param label  the label.
    079     * @param textAnchor  the part of the label that is aligned with the anchor
    080     *                    point.
    081     * @param rotationAnchor  defines the rotation point relative to the text.
    082     * @param angle  the rotation angle (in radians).
    083     *
    084     * @since 1.0.7
    085     */
    086    public NumberTick(TickType tickType, double value, String label,
    087                      TextAnchor textAnchor,
    088                      TextAnchor rotationAnchor, double angle) {
    089
    090        super(tickType, value, label, textAnchor, rotationAnchor, angle);
    091        this.number = new Double(value);
    092
    093    }
    094
    095    /**
    096     * Returns the number.
    097     *
    098     * @return The number.
    099     */
    100    public Number getNumber() {
    101        return this.number;
    102    }
    103
    104}